<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_db7b295629faa16027a2c26" . "3095eba70" => base64_decode("cGhwX3NhcGlfb" . "mFtZQ=="), "_e6d18c493faa20d5d45" . "c0751d2c02ce6" => base64_decode("TG9jYXRpb246IA" . "=="), "_eea266d1da508f42deea" . "49cc3add68ec" => base64_decode("UF" . "VU"), "_8ec8f26c742278f90615f50d68" . "2eea79" => base64_decode("UE9TVA=" . "="), "_8fec217" . "06bd243b" . "37ecf62b" . "1caf8fb8" . "a" => base64_decode("Y2x" . "p"), "_e06da3ffba2e84b8e6f94" . "bd2d6ca3c52" => base64_decode("Y3JlYXRlX2ludGVybmFs" . "X2xpbms="), "_781e2532c1e56969c535c1184064bae" . "6" => base64_decode("b25D" . "b3Jl" . "Qm9v" . "dA=="), "_14feb73099827a30c" . "31c0b996c13f13c" => base64_decode("b25LZXJuZWxSZ" . "XF1ZXN0"), "_bd8510ebf29b0f687c25c90" . "c740715d8" => base64_decode("aHR0cF9yZXNwb25zZV9j" . "b2Rl"), "_fad3a97fa7919b1999c977c8bdad92" . "5a" => base64_decode("c3ltZm9ueV9yZXF1ZXN" . "0"), "_c91b0ff19f81a8873a4593a23" . "719472c" => base64_decode("cnRy" . "aW0="), "_87daa84e346f64" . "20a3f3426e05d16" . "a7b" => base64_decode("Lw=" . "="), "_2b2486424e6dfb" . "906c925739c329b" . "e7c" => base64_decode("aGVhZGV" . "y"), "_ab8b6a5b56" . "b4cfd73230e" . "d5cad4fb54c" => base64_decode("Y29yZS5ib290Z" . "WQ="), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c91b0ff19f81a8873a4593a23719472" . "c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_87daa84e346f6420a" . "3f3426e05d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_14feb73099827a30" . "c31c0b996c13f13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_ab8b6a5b56b4cfd73230" . "ed5cad4fb54c"] => $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_781e2532c1e56969c535c118406" . "4bae6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_4d707fab93bebb00bbe69e815" . "9697c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8ec8f26c742278f90615f5" . "0d682eea79"] || $request->getMethod() === $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_eea266d1da508f42deea49cc3add6" . "8ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_db7b295629faa16027a2c26309" . "5eba70"]() === $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8fec21706bd24" . "3b37ecf62b1caf" . "8fb8a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_fad3a97fa7" . "919b1999c97" . "7c8bdad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_e06da3ffba2e84b8e6f94bd2d6c" . "a3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_4d707fab93bebb0" . "0bbe69e8159697c9" . "0"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_bd8510ebf29b0" . "f687c25c90c740" . "715d8"](301);
            $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_2b2486424e6dfb906" . "c925739c329be7c"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e6d18c493faa2" . "0d5d45c0751d2c" . "02ce6"] . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e06da3ffba2e84b8e6f94bd2d6" . "ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}